<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddStoreIdToAlbumProgress extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('album_progress', function (Blueprint $table) {
            $table->dropColumn(['date']);
            $table->string('store_id',24)->after('order_id')->comment('站点ID');
            $table->integer('order_id')->comment('订单ID')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('album_progress', function (Blueprint $table) {
            //
        });
    }
}
